# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from ci.models import (CiProject,
                       JenkinsJob,
                       JenkinsBuild,
                       JenkinsRun,
                       JenkinsTestReport,
                       JenkinsCoverageReport,
                       JenkinsFlavor,
                       Series,
                       JenkinsResult,
                       Cu2dStack,
                       LaunchpadProject)
from django.contrib import admin


class Cu2dStackAdmin(admin.ModelAdmin):
    list_display = ('name',
                    'release',
                    'series')

class CiProjectAdmin(admin.ModelAdmin):
    list_display = ('name',)

class JenkinsJobAdmin(admin.ModelAdmin):
    list_display = ('name',
                    'last_build',
                    'last_failed_build',
                    'last_successful_build')

class JenkinsBuildAdmin(admin.ModelAdmin):
    list_display = ('url',)
    filter_horizontal = ("downstream_builds",)

class JenkinsRunAdmin(admin.ModelAdmin):
    list_display = ('url',)

class JenkinsFlavorAdmin(admin.ModelAdmin):
    list_display = ('name',)

class SeriesAdmin(admin.ModelAdmin):
    list_display = ('name',)

class JenkinsResultAdmin(admin.ModelAdmin):
    list_display = ('name',)

class JenkinsCoverageReportAdmin(admin.ModelAdmin):
    list_display = ('jenkins_build',
                    'line_rate',
                    'branch_rate')


admin.site.register(CiProject, CiProjectAdmin)
admin.site.register(JenkinsJob, JenkinsJobAdmin)
admin.site.register(JenkinsBuild, JenkinsBuildAdmin)
admin.site.register(JenkinsRun, JenkinsRunAdmin)
admin.site.register(JenkinsFlavor, JenkinsFlavorAdmin)
admin.site.register(Series, SeriesAdmin)
admin.site.register(JenkinsResult, JenkinsResultAdmin)
admin.site.register(JenkinsTestReport)
admin.site.register(JenkinsCoverageReport, JenkinsCoverageReportAdmin)
admin.site.register(Cu2dStack, Cu2dStackAdmin)
admin.site.register(LaunchpadProject)

