from django.core.management import call_command
from django.conf.urls.defaults import include, patterns, url
from common.plugin_helper import (
    Extension,
)


class CIExtension(Extension):

    URL_PATTERNS = patterns(
        '',
        url(r'^merger/', include('ci.urls_merger')),
        url(r'^api/merger/', include('ci.urls_api')),
        url(r'^daily/', include('ci.urls_daily')),
    )

    def pull_data(self):
        call_command('jenkins_pull_ci')

    @classmethod
    def name(cls):
        return cls.__name__

extension = CIExtension()
