# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'JenkinsJob'
        db.create_table('ci_jenkinsjob', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=256)),
            ('url', self.gf('django.db.models.fields.URLField')(max_length=200)),
            ('project', self.gf('django.db.models.fields.related.ForeignKey')(related_name='jenkins_jobs', null=True, to=orm['ci.CiProject'])),
            ('upstream_job', self.gf('django.db.models.fields.related.ForeignKey')(related_name='downstream_jobs', null=True, to=orm['ci.JenkinsJob'])),
            ('buildable', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('in_queue', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('last_build', self.gf('django.db.models.fields.IntegerField')(null=True)),
            ('last_completed_build', self.gf('django.db.models.fields.IntegerField')(null=True)),
            ('last_failed_build', self.gf('django.db.models.fields.IntegerField')(null=True)),
            ('last_successful_build', self.gf('django.db.models.fields.IntegerField')(null=True)),
        ))
        db.send_create_signal('ci', ['JenkinsJob'])

        # Adding model 'CiProject'
        db.create_table('ci_ciproject', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=256)),
            ('release', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ci.Release'], null=True)),
            ('stack', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ci.Cu2dStack'], null=True)),
            ('ci_primary_job', self.gf('django.db.models.fields.related.ForeignKey')(related_name='ci_primary', null=True, to=orm['ci.JenkinsJob'])),
            ('autolanding_primary_job', self.gf('django.db.models.fields.related.ForeignKey')(related_name='autolanding_primary', null=True, to=orm['ci.JenkinsJob'])),
            ('launchpad_project', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ci.LaunchpadProject'], null=True)),
        ))
        db.send_create_signal('ci', ['CiProject'])

        # Adding model 'LaunchpadProject'
        db.create_table('ci_launchpadproject', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=256)),
        ))
        db.send_create_signal('ci', ['LaunchpadProject'])

        # Adding model 'Cu2dStack'
        db.create_table('ci_cu2dstack', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('series', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ci.Series'], null=True)),
            ('ppa', self.gf('django.db.models.fields.CharField')(max_length=64, null=True)),
            ('release', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ci.Release'], null=True)),
            ('integration_job', self.gf('django.db.models.fields.related.ForeignKey')(related_name='integration', null=True, to=orm['ci.JenkinsJob'])),
        ))
        db.send_create_signal('ci', ['Cu2dStack'])

        # Adding model 'JenkinsTestReport'
        db.create_table('ci_jenkinstestreport', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('fail_count', self.gf('django.db.models.fields.IntegerField')()),
            ('pass_count', self.gf('django.db.models.fields.IntegerField')()),
            ('skip_count', self.gf('django.db.models.fields.IntegerField')()),
            ('duration', self.gf('django.db.models.fields.IntegerField')()),
        ))
        db.send_create_signal('ci', ['JenkinsTestReport'])

        # Adding model 'JenkinsCoverageReport'
        db.create_table('ci_jenkinscoveragereport', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('jenkins_build', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ci.JenkinsBuild'], unique=True, null=True)),
            ('line_count', self.gf('django.db.models.fields.IntegerField')()),
            ('hit_count', self.gf('django.db.models.fields.IntegerField')()),
            ('branch_count', self.gf('django.db.models.fields.IntegerField')()),
            ('taken_count', self.gf('django.db.models.fields.IntegerField')()),
            ('total_count', self.gf('django.db.models.fields.IntegerField')()),
        ))
        db.send_create_signal('ci', ['JenkinsCoverageReport'])

        # Adding model 'JenkinsFlavor'
        db.create_table('ci_jenkinsflavor', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=64)),
        ))
        db.send_create_signal('ci', ['JenkinsFlavor'])

        # Adding model 'Release'
        db.create_table('ci_release', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=64)),
        ))
        db.send_create_signal('ci', ['Release'])

        # Adding model 'Series'
        db.create_table('ci_series', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=64)),
        ))
        db.send_create_signal('ci', ['Series'])

        # Adding model 'JenkinsResult'
        db.create_table('ci_jenkinsresult', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=64)),
        ))
        db.send_create_signal('ci', ['JenkinsResult'])

        # Adding model 'JenkinsRun'
        db.create_table('ci_jenkinsrun', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('jenkins_build', self.gf('django.db.models.fields.related.ForeignKey')(related_name='runs', null=True, to=orm['ci.JenkinsBuild'])),
            ('number', self.gf('django.db.models.fields.IntegerField')(null=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=256)),
            ('url', self.gf('django.db.models.fields.URLField')(unique=True, max_length=200)),
            ('duration', self.gf('django.db.models.fields.IntegerField')()),
            ('flavor', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ci.JenkinsFlavor'])),
            ('series', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ci.Series'])),
            ('result', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ci.JenkinsResult'])),
            ('coverage_report', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ci.JenkinsCoverageReport'], null=True)),
            ('test_report', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ci.JenkinsTestReport'], null=True)),
            ('timestamp', self.gf('django.db.models.fields.DateTimeField')()),
        ))
        db.send_create_signal('ci', ['JenkinsRun'])

        # Adding model 'JenkinsBuild'
        db.create_table('ci_jenkinsbuild', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('jenkins_job', self.gf('django.db.models.fields.related.ForeignKey')(related_name='builds', null=True, to=orm['ci.JenkinsJob'])),
            ('number', self.gf('django.db.models.fields.IntegerField')()),
            ('timestamp', self.gf('django.db.models.fields.DateTimeField')()),
            ('url', self.gf('django.db.models.fields.URLField')(unique=True, max_length=200)),
            ('result', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ci.JenkinsResult'])),
            ('coverage_report', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ci.JenkinsCoverageReport'], null=True)),
            ('test_report', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ci.JenkinsTestReport'], null=True)),
        ))
        db.send_create_signal('ci', ['JenkinsBuild'])

        # Adding M2M table for field downstream_builds on 'JenkinsBuild'
        db.create_table('ci_jenkinsbuild_downstream_builds', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('from_jenkinsbuild', models.ForeignKey(orm['ci.jenkinsbuild'], null=False)),
            ('to_jenkinsbuild', models.ForeignKey(orm['ci.jenkinsbuild'], null=False))
        ))
        db.create_unique('ci_jenkinsbuild_downstream_builds', ['from_jenkinsbuild_id', 'to_jenkinsbuild_id'])


    def backwards(self, orm):
        # Deleting model 'JenkinsJob'
        db.delete_table('ci_jenkinsjob')

        # Deleting model 'CiProject'
        db.delete_table('ci_ciproject')

        # Deleting model 'LaunchpadProject'
        db.delete_table('ci_launchpadproject')

        # Deleting model 'Cu2dStack'
        db.delete_table('ci_cu2dstack')

        # Deleting model 'JenkinsTestReport'
        db.delete_table('ci_jenkinstestreport')

        # Deleting model 'JenkinsCoverageReport'
        db.delete_table('ci_jenkinscoveragereport')

        # Deleting model 'JenkinsFlavor'
        db.delete_table('ci_jenkinsflavor')

        # Deleting model 'Release'
        db.delete_table('ci_release')

        # Deleting model 'Series'
        db.delete_table('ci_series')

        # Deleting model 'JenkinsResult'
        db.delete_table('ci_jenkinsresult')

        # Deleting model 'JenkinsRun'
        db.delete_table('ci_jenkinsrun')

        # Deleting model 'JenkinsBuild'
        db.delete_table('ci_jenkinsbuild')

        # Removing M2M table for field downstream_builds on 'JenkinsBuild'
        db.delete_table('ci_jenkinsbuild_downstream_builds')


    models = {
        'ci.ciproject': {
            'Meta': {'object_name': 'CiProject'},
            'autolanding_primary_job': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'autolanding_primary'", 'null': 'True', 'to': "orm['ci.JenkinsJob']"}),
            'ci_primary_job': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'ci_primary'", 'null': 'True', 'to': "orm['ci.JenkinsJob']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'launchpad_project': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['ci.LaunchpadProject']", 'null': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '256'}),
            'release': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['ci.Release']", 'null': 'True'}),
            'stack': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['ci.Cu2dStack']", 'null': 'True'})
        },
        'ci.cu2dstack': {
            'Meta': {'object_name': 'Cu2dStack'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'integration_job': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'integration'", 'null': 'True', 'to': "orm['ci.JenkinsJob']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'ppa': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'release': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['ci.Release']", 'null': 'True'}),
            'series': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['ci.Series']", 'null': 'True'})
        },
        'ci.jenkinsbuild': {
            'Meta': {'object_name': 'JenkinsBuild'},
            'coverage_report': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['ci.JenkinsCoverageReport']", 'null': 'True'}),
            'downstream_builds': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['ci.JenkinsBuild']", 'symmetrical': 'False'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'jenkins_job': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'builds'", 'null': 'True', 'to': "orm['ci.JenkinsJob']"}),
            'number': ('django.db.models.fields.IntegerField', [], {}),
            'result': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['ci.JenkinsResult']"}),
            'test_report': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['ci.JenkinsTestReport']", 'null': 'True'}),
            'timestamp': ('django.db.models.fields.DateTimeField', [], {}),
            'url': ('django.db.models.fields.URLField', [], {'unique': 'True', 'max_length': '200'})
        },
        'ci.jenkinscoveragereport': {
            'Meta': {'object_name': 'JenkinsCoverageReport'},
            'branch_count': ('django.db.models.fields.IntegerField', [], {}),
            'hit_count': ('django.db.models.fields.IntegerField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'jenkins_build': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['ci.JenkinsBuild']", 'unique': 'True', 'null': 'True'}),
            'line_count': ('django.db.models.fields.IntegerField', [], {}),
            'taken_count': ('django.db.models.fields.IntegerField', [], {}),
            'total_count': ('django.db.models.fields.IntegerField', [], {})
        },
        'ci.jenkinsflavor': {
            'Meta': {'object_name': 'JenkinsFlavor'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'ci.jenkinsjob': {
            'Meta': {'object_name': 'JenkinsJob'},
            'buildable': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'in_queue': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_build': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'last_completed_build': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'last_failed_build': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'last_successful_build': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '256'}),
            'project': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'jenkins_jobs'", 'null': 'True', 'to': "orm['ci.CiProject']"}),
            'upstream_job': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'downstream_jobs'", 'null': 'True', 'to': "orm['ci.JenkinsJob']"}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '200'})
        },
        'ci.jenkinsresult': {
            'Meta': {'object_name': 'JenkinsResult'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'ci.jenkinsrun': {
            'Meta': {'object_name': 'JenkinsRun'},
            'coverage_report': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['ci.JenkinsCoverageReport']", 'null': 'True'}),
            'duration': ('django.db.models.fields.IntegerField', [], {}),
            'flavor': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['ci.JenkinsFlavor']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'jenkins_build': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'runs'", 'null': 'True', 'to': "orm['ci.JenkinsBuild']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'number': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'result': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['ci.JenkinsResult']"}),
            'series': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['ci.Series']"}),
            'test_report': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['ci.JenkinsTestReport']", 'null': 'True'}),
            'timestamp': ('django.db.models.fields.DateTimeField', [], {}),
            'url': ('django.db.models.fields.URLField', [], {'unique': 'True', 'max_length': '200'})
        },
        'ci.jenkinstestreport': {
            'Meta': {'object_name': 'JenkinsTestReport'},
            'duration': ('django.db.models.fields.IntegerField', [], {}),
            'fail_count': ('django.db.models.fields.IntegerField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'pass_count': ('django.db.models.fields.IntegerField', [], {}),
            'skip_count': ('django.db.models.fields.IntegerField', [], {})
        },
        'ci.launchpadproject': {
            'Meta': {'object_name': 'LaunchpadProject'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '256'})
        },
        'ci.release': {
            'Meta': {'object_name': 'Release'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'ci.series': {
            'Meta': {'object_name': 'Series'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        }
    }

    complete_apps = ['ci']