# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django import template
import logging

logger = logging.getLogger('qa_dashboard')
register = template.Library()


@register.filter
def stack_status_color(value):
    if value is None:
        return ""
    if value == "Published":
        return "green"
    if value.startswith("Manual"):
        return "yellow"
    if value.startswith("Published"):
        return "yellow"
    return "red"


@register.filter
def filter_out_none(value):
    if value is None:
        return ""
    return value
