# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Author: Francis Ginther

import json
import os.path

"""Common utility methods used by the tests"""


def get_json_data(path, filename):
    return json.loads(get_text(path, filename))


def get_text(path, filename):
    with open(os.path.join(path, filename)) as in_file:
        return in_file.read()
    return None


def get_json_data_list(path, filename_list):
    data_list = list()
    for filename in filename_list:
        data_list.append(get_json_data(path, filename))
    return data_list


def get_text_list(path, filename_list):
    data_list = list()
    for filename in filename_list:
        data_list.append(get_text(path, filename))
    return data_list
