# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from unittest import skip
from django.test import TestCase
from ci.models import JenkinsBuild, JenkinsJob


class TestCoverageReport(TestCase):
    fixtures = ['phablet-apps.json']

    @skip
    def test_should_exist(self):
        """Make sure we've got one if it's there :) ."""

        jenkins_job = JenkinsJob.objects.get(
            name="phone-app-quantal-i386-autolanding")
        jenkins_build = JenkinsBuild.objects.get(
            jenkins_job=jenkins_job,
            number=31)
        self.assertIsNotNone(jenkins_build.coverage_report)


    @skip
    def test_shouldnt_exist(self):
        """'Primary' jobs shouldn't have coverage reports."""

        jenkins_job = JenkinsJob.objects.get(
            name="phone-app-autolanding")
        jenkins_build = JenkinsBuild.objects.get(
            jenkins_job=jenkins_job,
            number=31)
        self.assertIsNone(jenkins_build.coverage_report)

