# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.test import TestCase
from django.core.urlresolvers import reverse
from ci.models import (JenkinsBuild, JenkinsJob)
from unittest import skip


class TestBuildView(TestCase):
    def SetUp(self):
        jj = JenkinsJob(name='fake_test_job')
        jb = JenkinsBuild(number=31337)
        jj.save()
        jb.save()

    @skip('no current build url')
    def test_build_template(self):
        resp = self.client.get(reverse('build'), )
        self.assertTemplateUsed(resp, 'build.html')

    @skip('no current build url')
    def test_build_context(self):
        resp = self.client.get(
            reverse('build',
                    kwargs={'job_name': 'fake_test_job',
                            'build_number': 31337}))
        self.assertTrue('runs' in resp.context)
        self.assertTrue('build' in resp.context)
