# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.test import TestCase
from django.core.urlresolvers import reverse


class TestStackView(TestCase):

    def test_stack_template(self):
        resp = self.client.get(reverse('stacks'))
        self.assertTemplateUsed(resp, 'stack_list.html')

    def test_stack_context(self):
        resp = self.client.get(reverse('stacks'))

        self.assertEqual(resp.status_code, 200)

        print resp.context[0]
        self.assertTrue('stack_list' in resp.context[0])
        self.assertTrue('project_list' in resp.context[0])
        self.assertTrue('show_filter' in resp.context[0])
        self.assertTrue('release_list' in resp.context[0])
