# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.test import TestCase
from ci.models import (JenkinsJob,
                         JenkinsBuild,
                         JenkinsCoverageReport)


class TestJenkinsCoverageReport(TestCase):
    fixtures = ['phablet-apps.json']

    def setUp(self):
        job = JenkinsJob.objects.get(
            name="phone-app-raring-i386-autolanding")
        build = JenkinsBuild.objects.get(
            jenkins_job=job,
            number=23)
        self.coverage_report = JenkinsCoverageReport.objects.get(
            jenkins_build=build)

    def test_line_coverage(self):
        self.assertAlmostEqual(0.43703298706,
                               self.coverage_report.line_rate)

    def test_branch_coverage(self):
        self.assertAlmostEqual(0.526631548142,
                               self.coverage_report.branch_rate)
