# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from mock import MagicMock, patch
from django.test import TestCase
from django.db import IntegrityError
from ci.models import JenkinsRun
import ci.util.extractor as extractor


class TestJenkinsRun(TestCase):

    def setUp(self):
        jenkins_run_mock = MagicMock(
            spec=JenkinsRun,
            return_value=None)
        self.jenkins_run_patch = patch.object(
            JenkinsRun,
            '__init__',
            new=jenkins_run_mock)
        self.jenkins_run_patch.start()
        self.jenkins_run = \
            JenkinsRun()
        self.logger_patch = patch('ci.models.logger')
        self.logger_patch.start()

    def tearDown(self):
        self.jenkins_run_patch.stop()
        self.logger_patch.stop()

    def test_unicode(self):
        self.jenkins_run.name = 'indicator-sync-i386-raring-autolanding'
        self.assertEqual('indicator-sync-i386-raring-autolanding',
                         str(self.jenkins_run))
