# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from mock import MagicMock, patch, call
from django.test import TestCase
from ci.models import JenkinsTestReport
import ci.util.extractor as extractor
import ci.util.jenkins_test_report


class TestCreateFromUrl(TestCase):

    def test_vanilla(self):
        fake_jenkins_build = "fake_jenkins_build"
        fake_url = "http://url.of.a.test.report/fo/sho"
        extractor_report_mock = MagicMock(
            return_value=MagicMock(
                fail_count=42,
                pass_count=43,
                skip_count=44,
                duration=MagicMock(
                    microseconds=2)))
        with patch('ci.util.extractor.JenkinsTestReport', extractor_report_mock), \
                patch('ci.models.JenkinsTestReport.objects.create') as jenkins_test_report_objects_create:
            # we import verbosely to avoid nose test-discovery
            result = ci.util.jenkins_test_report.create_jenkins_test_report_from_url(
                fake_jenkins_build,
                fake_url)
        jenkins_test_report_objects_create.assert_called_with(
            fail_count=42,
            pass_count=43,
            skip_count=44,
            duration=2)
