# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import logging
from lxml.etree import XMLSyntaxError
from ci.models import JenkinsCoverageReport
import ci.util.extractor as extractor

logger = logging.getLogger('qa_dashboard')


def create_coverage_report_from_url(jenkins_build, url):
    try:
        extractor_report = extractor.JenkinsCoverage(url)
    except XMLSyntaxError:
        logger.error("XML parsing error for coverage report at {} .".format(url))
        return None
    return JenkinsCoverageReport.objects.create(
        jenkins_build=jenkins_build,
        line_count=extractor_report.lines,
        hit_count=extractor_report.hits,
        branch_count=extractor_report.branches,
        taken_count=extractor_report.taken,
        total_count=extractor_report.total)
