# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import logging
from ci.models import (Series,
                             Release,
                             JenkinsJob,
                             Cu2dStack)
from ci.util.jenkins_job import create_jenkins_job_from_name


def create_cu2d_stack_from_config(config):
    series, created = Series.objects.get_or_create(name=config['series'])
    release, created = Release.objects.get_or_create(name=config['release'])
    stack, created = Cu2dStack.objects.get_or_create(name=config['name'])
    stack.series = series
    stack.ppa = config['ppa']
    stack.release = release
    jenkins_server = config['server']
    stack.integration_job = create_jenkins_job_from_name(
        jenkins_server, config['job'])
    stack.save()
    return stack
