# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


from ci.models import JenkinsTestReport
import ci.util.extractor as extractor


def create_jenkins_test_report_from_url(jenkins_build, url):
    extractor_report = extractor.JenkinsTestReport(url)
    return JenkinsTestReport.objects.create(
        fail_count=extractor_report.fail_count,
        pass_count=extractor_report.pass_count,
        skip_count=extractor_report.skip_count,
        duration=extractor_report.duration.microseconds)
